// onInit

Content.makeFrontInterface(633, 400);

// store references to the samplers.
const var Sampler1 = Synth.getSampler("Sampler1");
const var Sampler2 = Synth.getSampler("Sampler2");
const var Sampler3 = Synth.getSampler("Sampler3");

// UI references
const var ComboBox1 = Content.getComponent("ComboBox1");
const var boxVals = ComboBox1.getAllProperties(); // just get all properties of the combobox element, for later reference.

// just printing all values of the combobox´s available properties:
for (var i = 0; i < boxVals.length; i++) {
    Console.print("ComboBox1:s element id " + i + ": " + boxVals[i]);
}


// get state of combobox, on init:
const var cboxState = ComboBox1.getValue();

Console.print("Current choice made in combobox: " + cboxState);



// onControl ui-control:

function onControl(number, value) // this needs to be copied into the onControl callback.
{
	
    if (number == ComboBox1)
    {
        Console.print("ComboBox1: " + value);
        if (value == 1)
        {
            Sampler1.loadSampleMap("Samplemap-1-1"); // loading Samplemap nr 1 for all three.
            Sampler2.loadSampleMap("Samplemap-1-2");
            Sampler3.loadSampleMap("Samplemap-1-3");
        }
        if (value == 2)
        {
            Sampler1.loadSampleMap("Samplemap-2-1");
            Sampler2.loadSampleMap("Samplemap-2-2");
            Sampler3.loadSampleMap("Samplemap-2-3");
        }
        if (value == 3)
        {
            Sampler1.loadSampleMap("Samplemap-3-1");
            Sampler2.loadSampleMap("Samplemap-3-2");
            Sampler3.loadSampleMap("Samplemap-3-3");
        }
    }
}
 
